Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infinispan.schematic.internal.document
Interface MutableDocument

All Superinterfaces:
  Document, Serializable

All Known Subinterfaces:
  MutableArray

All Known Implementing Classes:
  BasicArray, BasicDocument

    public interface MutableDocument

extends Document

A mutable `Document` used when building a MutableBsonObject.

Since:
  5.1
Author:
  Randall Hauch (C) 2011 Red Hat Inc.

Nested Class Summary

Nested classes/interfaces inherited from interface org.infinispan.schematic.document.Document
`Document.Field, Document.ValueTransformer`

Method Summary
`Object` | `put(String name, Object value)` Sets a name/value pair in this object.
`void` | `putAll(Document object)` Sets on this object all name/value pairs from the supplied object.
`void` | `putAll(Map<? extends String,? extends Object> map)` Sets on this object all key/value pairs from the supplied map.
`Object` | `remove(String name)` Removes from this object the name/value pair with the given name.
`void` | `removeAll()` Remove all fields from this document.

Methods inherited from interface org.infinispan.schematic.document.Document
`clone, containsAll, containsField, fields, get, getArray, getBinary, getBoolean, getBoolean, getCode, getCodeWithScope, getDocument, getDouble, getDouble, getInteger, getInteger, getLong, getLong, getMaxKey, getMinKey, getNumber, getNumber, getObjectId, getPattern, getString, getString, getSymbol, getType, getUuid, getUuid, isEmpty, isNull, isNullOrMissing, keySet, size, toMap, with, with, withVariablesReplaced, withVariablesReplacedWithSystemProperties`

Method Detail

### put

    Object put(String name,
               Object value)

  Sets a name/value pair in this object.

  Parameters:
    `name` - The name; may not be null
    `value` - The value; may be null
  Returns:
    the previous value

### putAll

    void putAll(Document object)

  Sets on this object all name/value pairs from the supplied object. If the supplied object is null, this method does nothing.

  Parameters:
    `object` - the object containing the name/value pairs to be set on this object

### putAll

    void putAll(Map<? extends String,? extends Object> map)

  Sets on this object all key/value pairs from the supplied map. If the supplied map is null, this method does nothing.

  Parameters:
    `map` - the map containing the name/value pairs to be set on this object

### remove

    Object remove(String name)

  Removes from this object the name/value pair with the given name.

  Parameters:
    `name` - The name of the pair to remove
  Returns:
    The value removed from this object, or null this object does not contain a pair with the supplied name

### removeAll

    void removeAll()

  Remove all fields from this document.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.